%define pkg_name        Apache-DBI
%define pkg_version     1.06
%define rpm_pkg_version 1.06
%define rpm_pkg_release 1.n0i.10

Summary:       Persistent DBI connection management
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PG/PGOLLUCCI/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Test::More)}
%{!?_without_test:BuildRequires: perl(DBI)}


%description
These modules are supposed to be used with the Apache server together with
an embedded perl interpreter like mod_perl. They provide support for basic
authentication and authorization as well as support for persistent database
connections via Perl's Database Independent Interface (DBI).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes eg/ README TODO


%changelog
* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 1.06-1.n0i.10
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 1.06

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 1.01-1.n0i.9
- version 1.01

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 0.99_01-1.n0i.8.0.9901
- version 0.9901

* Tue Aug 09 2005 Marius FERARU <altblue@n0i.net> 0.99-1.n0i.7
- version 0.99
- new CPAN package maintainer

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.94-2.n0i.6
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.94-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.94-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Tue May 04 2004 Marius Feraru <altblue@n0i.net> 0:0.94-1.n0i.3
- version 0.94
- spec file (re?)created using N0i::CPAN::RPMizer/2004050401

* Thu Jan 29 2004 Marius FERARU <altblue@n0i.net> 0:0.93-0.n0i.2
- version 0.93
- spec file (re?)created using N0i::CPAN::RPMizer/2004011001

* Mon Nov 03 2003 Marius FERARU <altblue@n0i.net> 0:0.92-0.n0i.1
- version 0.92
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
